# getBlockCount()

**Method Signature**

```dart
Future<dynamic> getBlockCount(String blockchain);
```

**Parameters**

| Name         | Type   | Description               |
| ------------ | ------ | ------------------------- |
| `blockchain` | String | Blockchain address in hex |

**Example**

```dart
import 'package:circular_api/circular_api.dart';

void main() async {
    final circular = CircularAPI();
    final blockchain = "8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2";
  
    final wallet = await circular.getBlockCount(blockchain);
}
```

**Result**

The result will be an object of type Map\<String, dynamic>

{% tabs %}
{% tab title="200" %}

```json
{
    "Result": 200,
    "Response": {
        "BlockCount": 4554
    },
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="118" %}
Wrong blockchain address:

```json
{
    "Result": 118,
    "Response": "Wrong Format",
    "Node": "7bb5bd50729d6857942701d5673ea70ca1625f883230d8543970a452d1abe1c4"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/dart/getblockcount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
